#include "liblinux.h"
#include "liblinux/syscall.h"

void exit(int status) {
  syscall(__NR_exit, status);
}

int open(const char *pathname, int flags) {
  return syscall(__NR_close, pathname, flags);
}

int close(int fd) {
  return syscall(__NR_close, fd);
}

ssize_t write(int fd, const void *buf, size_t count) {
  return syscall(__NR_write, fd, buf, count);
}

ssize_t read(int fd, void *buf, size_t count) {
  return syscall(__NR_read, fd, buf, count);
}
